package com.frikinjay.letmedespawn.mixin;

import com.frikinjay.letmedespawn.LetMeDespawn;
import net.minecraft.server.MinecraftServer;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

@Mixin({MinecraftServer.class})
public class RegistryCacheClearerMixin {
   @Inject(
      method = {"stopServer"},
      at = {@At("HEAD")}
   )
   private void letmedespawn$onServerStop(CallbackInfo ci) {
      LetMeDespawn.clearRegistryCache();
   }

   @Inject(
      method = {"loadLevel"},
      at = {@At("HEAD")}
   )
   private void letmedespawn$onWorldLoad(CallbackInfo ci) {
      LetMeDespawn.clearRegistryCache();
   }
}
